com.sun.opengl.util

## Class FileUtil

- java.lang.Object
- - com.sun.opengl.util.FileUtil

    public class FileUtil
    extends Object

Utilities for dealing with files.

### Method Summary

Methods
`static String` `getFileSuffix(File file)` Returns the lowercase suffix of the given file name (the text after the last '.' in the file name).
`static String` `getFileSuffix(String filename)` Returns the lowercase suffix of the given file name (the text after the last '.' in the file name).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFileSuffix

    public static String getFileSuffix(File file)

Returns the lowercase suffix of the given file name (the text after the last '.' in the file name). Returns null if the file name has no suffix. Only operates on the given file name; performs no I/O operations.

Parameters:
  `file` - name of the file
Returns:
  lowercase suffix of the file name
Throws:
  `NullPointerException` - if file is null

#### getFileSuffix

    public static String getFileSuffix(String filename)

Returns the lowercase suffix of the given file name (the text after the last '.' in the file name). Returns null if the file name has no suffix. Only operates on the given file name; performs no I/O operations.

Parameters:
  `filename` - name of the file
Returns:
  lowercase suffix of the file name
Throws:
  `NullPointerException` - if filename is null